Skip to main content
Monitoring & Collection/Scrape Collection
POSTMonitoringSince 1.0SynchronousAuth Required

InstantHealthCheck

Run an on-demand health check against a set of scrape targets

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • targetIdsListRequired

    Target ids

    Example: item1,item2

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • targetIdString

      UUID of the target that was health-checked

      Example: target-001-abc

    • statusString

      Health check status (up, down, timeout)

      Example: up

    • latencyMsString

      Round-trip latency of the health check in milliseconds

      Example: 28

    • errorString

      Error message if the health check failed

      Example: connection refused

    • checkedAtString

      Checked at

      Example: 2026-01-15T08:00:00Z

Endpoint

POST/api/v1/monitoring/scrape-health/check

/api/v1/monitoring/scrape-health/check

Operation ID

InstantHealthCheck

Permalink

Request Example

curl -X POST '{host}/api/v1/monitoring/scrape-health/check' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"targetIds":"item1,item2"}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history